Query Contacts with Abbreviated Details
curl --request POST \
--url https://api.virtuoussoftware.com/api/Contact/Query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"includeArchived": "<boolean>",
"queryLocation": {
"topLatitude": "<double>",
"leftLongitude": "<double>",
"bottomLatitude": "<double>",
"rightLongitude": "<double>"
},
"groups": [
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
},
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
}
],
"sortBy": "<string>",
"descending": "<boolean>"
}
'{
"list": [
{
"id": "<integer>",
"name": "<string>",
"contactType": "<string>",
"contactName": "<string>",
"address": "<string>",
"email": "<string>",
"phone": "<string>",
"contactViewUrl": "<string>"
},
{
"id": "<integer>",
"name": "<string>",
"contactType": "<string>",
"contactName": "<string>",
"address": "<string>",
"email": "<string>",
"phone": "<string>",
"contactViewUrl": "<string>"
}
],
"total": "<integer>"
}Contact Queries
Query Contacts with Abbreviated Details
POST
/
api
/
Contact
/
Query
Query Contacts with Abbreviated Details
curl --request POST \
--url https://api.virtuoussoftware.com/api/Contact/Query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"includeArchived": "<boolean>",
"queryLocation": {
"topLatitude": "<double>",
"leftLongitude": "<double>",
"bottomLatitude": "<double>",
"rightLongitude": "<double>"
},
"groups": [
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
},
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
}
],
"sortBy": "<string>",
"descending": "<boolean>"
}
'{
"list": [
{
"id": "<integer>",
"name": "<string>",
"contactType": "<string>",
"contactName": "<string>",
"address": "<string>",
"email": "<string>",
"phone": "<string>",
"contactViewUrl": "<string>"
},
{
"id": "<integer>",
"name": "<string>",
"contactType": "<string>",
"contactName": "<string>",
"address": "<string>",
"email": "<string>",
"phone": "<string>",
"contactViewUrl": "<string>"
}
],
"total": "<integer>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10. Max is 1000.
Body
application/json
Last modified on June 5, 2026
Was this page helpful?
⌘I